Subject: Re: [PATCH v3 0/6] Avoid the_repository in merge-ort and replay

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 24 Feb 2026 11:00:13 +0100

On Sun, Feb 22, 2026 at 07:42:33PM -0500, Derrick Stolee wrote:
> On 2/21/26 6:59 PM, Elijah Newren via GitGitGadget wrote:
> > Changes since v2:
> > 
> >   * In first patch, actually avoid the_repository when attempting to remove
> >     check against the_repository
> >   * Fix commit message of patch 3 due to the new patch 1.
> >   * Slight tweak to commit message of patch 6.
> > 
> > Changes since v1:
> > 
> >   * Add a preparatory patch removing the_repository check from blob
> >     prefetching in both merge-ort and diff*; it's no longer necessary
> >   * Fix casing mismatch
> >   * Simplify the hammer a bit based on the new first patch, but add some
> >     simple comments explaining it
> > 
> > Remove explicit uses of the_repository and the_hash_algo from merge-ort, and
> > since this has now been done multiple times for both merge-ort and replay,
> > implement a small measure to prevent them from returning to either merge-ort
> > or replay.
> > 
> 
> I reviewed this version (plus patch 6 from v2) and think it is good to go
> as-is. I went back to check the v1 feedback and thought it all valuable and
> resolved by this version.

Likewise. I only had a single comment on v2 that was addressed now.
Thanks!

Patrick